#include <bits/stdc++.h>
using namespace std;
const int N=3e5+6;
long long n,m,cnt,ans;
long long rec(long long x, long long y){
    if(x==1 && y==1){
        return 1;
    }
    else{
    	if(x!=1){
    		if(y<x){
	            swap(x,y);
	        }
	        return rec(x-1,y)+rec(1,y)+x*y;
		}
        else{
	        return y*(y+1)/2+y-1;
		}
    }
}
int main (){
    cin >> n >> m;
    cout << rec(n,m);
}
